DOM::HTMLOListElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLOListElement Class Reference

Ordered list. More...

`#include <html_list.h>`

Inheritance diagram for DOM::HTMLOListElement:

[legend]
Collaboration diagram for DOM::HTMLOListElement:

[legend]
List of all members.

## Public Member Functions
| HTMLOListElement (const HTMLOListElement &other)
| HTMLOListElement (const Node &other)
HTMLOListElement & | operator= (const HTMLOListElement &other)
HTMLOListElement & | operator= (const Node &other)
bool | compact () const
| Reduce spacing between list items.
void | setCompact (bool)
| see compact
long | start () const
| Starting sequence number.
void | setStart (long)
| see start
DOMString | type () const
| Numbering style.
void | setType (const DOMString &)
| see type
## Protected Member Functions
| HTMLOListElement (HTMLOListElementImpl *impl)

## Detailed Description

Ordered list.

See the OL element definition in HTML 4.0.

Definition at line 226 of file html_list.h.

## Member Function Documentation

bool HTMLOListElement::compact | ( |  | ) | const

| Reduce spacing between list items. See the compact attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 255 of file html_list.cpp.

void HTMLOListElement::setCompact | ( | bool |  | ) |

| see compact Definition at line 261 of file html_list.cpp.

long HTMLOListElement::start | ( |  | ) | const

| Starting sequence number. See the start attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 272 of file html_list.cpp.

void HTMLOListElement::setStart | ( | long |  | ) |

| see start Definition at line 278 of file html_list.cpp. References QString::number().

DOMString HTMLOListElement::type | ( |  | ) | const

| Numbering style. See the type attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 287 of file html_list.cpp.

void HTMLOListElement::setType | ( | const DOMString & |  | ) |

| see type Definition at line 293 of file html_list.cpp.

The documentation for this class was generated from the following files:

- html_list.h
- html_list.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:39:13 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001